[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpms/rpmlint/devel rpmlint-confmsg.patch, NONE, 1.1 rpmlint-svcdefault.patch, NONE, 1.1 .cvsignore, 1.7, 1.8 rpmlint-fedora-config, 1.6, 1.7 rpmlint.spec, 1.13, 1.14 sources, 1.7, 1.8



Author: scop

Update of /cvs/extras/rpms/rpmlint/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv10126/devel

Modified Files:
	.cvsignore rpmlint-fedora-config rpmlint.spec sources 
Added Files:
	rpmlint-confmsg.patch rpmlint-svcdefault.patch 
Log Message:
0.70, improve config, fix non-config message, non-enabled services are good.

rpmlint-confmsg.patch:

--- NEW FILE rpmlint-confmsg.patch ---
Index: FilesCheck.py
===================================================================
RCS file: /cooker/soft/rpmlint/FilesCheck.py,v
retrieving revision 1.87
diff -u -r1.87 FilesCheck.py
--- FilesCheck.py	17 Jun 2005 09:48:34 -0000	1.87
+++ FilesCheck.py	20 Jun 2005 10:30:43 -0000
@@ -692,9 +692,9 @@
 Please remove it and rebuild your package.''',
 
 'non-conffile-in-etc',
-'''A file in your package is being installed in /etc, but is not a
-configuration file. All the files in /etc MUST be configuration files
-(add the %config option to the file in the spec file).''',
+'''A non-executable file in your package is being installed in /etc, but is not
+a configuration file. All non-executable files in /etc should be configuration
+files. Mark the file as %config in the spec file.''',
 
 'compressed-symlink-with-wrong-ext',
 '''The symlink points to a compressed file but doesn't use the same extension.''',

rpmlint-svcdefault.patch:

--- NEW FILE rpmlint-svcdefault.patch ---
Index: InitScriptCheck.py
===================================================================
RCS file: /cooker/soft/rpmlint/InitScriptCheck.py,v
retrieving revision 1.14
diff -u -r1.14 InitScriptCheck.py
--- InitScriptCheck.py	15 Apr 2005 20:01:46 -0000	1.14
+++ InitScriptCheck.py	20 Jun 2005 10:20:15 -0000
@@ -74,8 +74,8 @@
                 if not res:
                     printError(pkg, 'no-chkconfig-line', f)
                 else:
-                    if res.group(1) == '-':
-                        printWarning(pkg, 'no-default-runlevel')
+                    if res.group(1) != '-':
+                        printWarning(pkg, 'service-default-enabled', f)
                         
                 res=subsys_regex.search(content)
                 if not res:
@@ -126,8 +126,9 @@
 '''The init script doesn't contain a chkconfig line to specify the runlevels at which
 to start and stop it.''',
 
-'no-default-runlevel',
-'''The default runlevel isn't specified in the init script.''',
+'service-default-enabled',
+'''The service is enabled by default after "chkconfig --add"; most services
+should not be.  Use "-" to correct this if appropriate.''',
 
 'subsys-not-used',
 '''While your program is running, you have to put a lock file in


Index: .cvsignore
===================================================================
RCS file: /cvs/extras/rpms/rpmlint/devel/.cvsignore,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- .cvsignore	16 Apr 2005 16:12:38 -0000	1.7
+++ .cvsignore	20 Jun 2005 18:03:01 -0000	1.8
@@ -1 +1 @@
-rpmlint-0.69.tar.bz2
+rpmlint-0.70.tar.bz2


Index: rpmlint-fedora-config
===================================================================
RCS file: /cvs/extras/rpms/rpmlint/devel/rpmlint-fedora-config,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- rpmlint-fedora-config	26 May 2005 15:24:10 -0000	1.6
+++ rpmlint-fedora-config	20 Jun 2005 18:03:05 -0000	1.7
@@ -27,6 +27,7 @@
     "Applications/Publishing",
     "Applications/System",
     "Applications/Text",
+    "Development/Debug", # intended for debuginfo packages only
     "Development/Debuggers",
     "Development/Languages",
     "Development/Libraries",
@@ -79,15 +80,16 @@
 addFilter("E: .* lib-package-without-%mklibname")
 addFilter("E: .* no-dependency-on (perl|python)-base.*")
 addFilter("W: .* (python|perl5)-naming-policy-not-applied.*")
-addFilter("W: .* invalid-distribution .*")
-addFilter("W: .* invalid-vendor .*")
+addFilter("W: .* invalid-(distribution|vendor) .*")
+addFilter("E: .* no-(packager-tag|signature)")
 addFilter("E: .* incoherent-version-in-name.*")
 addFilter("E: .* invalid-build-requires .*")
-addFilter("E: .* no-packager-tag")
 addFilter("W: .* ghost-files-without-postin")
 addFilter("W: .* postin-without-ghost-file-creation .*")
 addFilter("W: .* no-major-in-name .*")
 addFilter("E: .* executable-in-library-package .*")
-addFilter("E: .* no-signature")
 addFilter("E: .* non-versioned-file-in-library-package .*")
 addFilter("E: .* requires-on-release .*")
+addFilter("W: .* jar-not-indexed .*")
+addFilter("E: .* invalid-(lc-messages|locale-man)-dir .*")
+addFilter("E: .* outside-libdir-files .*")


Index: rpmlint.spec
===================================================================
RCS file: /cvs/extras/rpms/rpmlint/devel/rpmlint.spec,v
retrieving revision 1.13
retrieving revision 1.14
diff -u -r1.13 -r1.14
--- rpmlint.spec	26 May 2005 15:24:10 -0000	1.13
+++ rpmlint.spec	20 Jun 2005 18:03:06 -0000	1.14
@@ -1,18 +1,24 @@
 Name:           rpmlint
-Version:        0.69
+Version:        0.70
 Release:        3
 Summary:        Tool for checking common errors in RPM packages
 
 Group:          Development/Tools
 License:        GPL
-URL:            http://people.mandrakesoft.com/~flepied/projects/rpmlint/
-Source0:        http://people.mandrakesoft.com/~flepied/projects/rpmlint/dist/%{name}-%{version}.tar.bz2
+URL:            http://people.mandriva.com/~flepied/projects/rpmlint/
+Source0:        http://people.mandriva.com/~flepied/projects/rpmlint/dist/%{name}-%{version}.tar.bz2
 Source1:        %{name}-fedora-config
+Patch0:         %{name}-svcdefault.patch
+Patch1:         %{name}-confmsg.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildArch:      noarch
-BuildRequires:  python >= 1.5.2, rpm-python, make, %{__perl}
-Requires:       rpm-python, python >= 1.5.2, cpio
+BuildRequires:  python >= 1.5.2
+BuildRequires:  rpm-python
+BuildRequires:  sed >= 3.95
+Requires:       rpm-python
+Requires:       python >= 1.5.2
+Requires:       cpio
 
 %description
 rpmlint is a tool for checking common errors in RPM packages.  Binary
@@ -21,7 +27,9 @@
 
 %prep
 %setup -q
-%{__perl} -pi -e 's|/etc/httpd/webapps\.d|%{_sysconfdir}/httpd/conf.d|' \
+%patch0
+%patch1
+sed -i -e 's|/etc/httpd/webapps\.d|%{_sysconfdir}/httpd/conf.d|' \
   FilesCheck.py I18NCheck.py
 for f in AUTHORS ChangeLog ; do
   iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f
@@ -64,15 +72,24 @@
 %defattr(-,root,root,0755)
 %doc AUTHORS COPYING ChangeLog README
 %{_bindir}/rpm*
-%dir %{_datadir}/rpmlint
+%dir %{_datadir}/rpmlint/
 %exclude %{_datadir}/rpmlint/check-install.py*
-%dir %{_sysconfdir}/rpmlint
+%dir %{_sysconfdir}/rpmlint/
 %config(noreplace) %{_sysconfdir}/rpmlint/config
-# Not config (yet?) to achieve clean upgrade from pre-0.69.
-%{_sysconfdir}/bash_completion.d
+%{_sysconfdir}/bash_completion.d/
 
 
 %changelog
+* Mon Jun 20 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.70-3
+- 0.70, use sed instead of perl during build.
+- Default configuration improvements: allow Development/Debug group (for
+  debuginfo packages), filter out errors/warnings about non-indexed jars,
+  invalid LC_MESSAGES and man page dirs, and library packages containing
+  something else in addition to libraries.
+- Make info about non-config files in /etc more accurate.
+- Patch to warn about services that default to enabled after "chkconfig add",
+  not the other way around.
+
 * Thu May 26 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.69-3
 - Filter out more not-that-useful messages in the default config.
 


Index: sources
===================================================================
RCS file: /cvs/extras/rpms/rpmlint/devel/sources,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- sources	16 Apr 2005 16:12:39 -0000	1.7
+++ sources	20 Jun 2005 18:03:08 -0000	1.8
@@ -1 +1 @@
-5e5bc5e2d493e35e300b7498824fee1d  rpmlint-0.69.tar.bz2
+0457f6d88c6b25fe3cb31503249a6909  rpmlint-0.70.tar.bz2


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]